// Code generated by mockery v2.10.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"

	uuid "github.com/satori/go.uuid"
)

// ObjectIDProvider is an autogenerated mock type for the ObjectIDProvider type
type ObjectIDProvider struct {
	mock.Mock
}

// NewObjectId provides a mock function with given fields:
func (_m *ObjectIDProvider) NewObjectId() uuid.UUID {
	ret := _m.Called()

	var r0 uuid.UUID
	if rf, ok := ret.Get(0).(func() uuid.UUID); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(uuid.UUID)
		}
	}

	return r0
}
